Bug 1467652 - mariadb library upgrade to 10.2 causes ocaml-mysql FTBFS
mariadb library upgrade to 10.2 causes ocaml-mysql FTBFS
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ocaml-mysql (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1467297
  Show dependency treegraph
 
Reported: 2017-07-04 08:55 EDT by Augusto Caringi
Modified: 2017-07-20 08:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-20 08:00:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Github https://github.com/ygrek/ocaml-mysql/issues/11 None None None 2017-07-04 09:12 EDT

  None (edit)
Description Augusto Caringi 2017-07-04 08:55:11 EDT
Trying to build ocaml-mysql with the new version of MariaDB 10.2 causes an error in the configure script:

checking for mysql_real_connect in -lmysqlclient... mysql_config: unrecognized option '--variable=pkglibdir'
no
configure: error: MySQL client library not found

There is a discrepancy between mysql_config and mariadb_config, more information here:

https://jira.mariadb.org/browse/MDEV-12938

We are tracking all the possible problems regarding this MariaDB upgrade in the bug 1467297.

Copr build: https://copr.fedorainfracloud.org/coprs/g/db-sig/mariadb-10.2/package/ocaml-mysql/
Comment 1 Richard W.M. Jones 2017-07-04 09:12:25 EDT
Thanks, I have opened an upstream bug:
https://github.com/ygrek/ocaml-mysql/issues/11
Comment 2 Richard W.M. Jones 2017-07-05 07:23:01 EDT
Upstream fix is:
https://github.com/ygrek/ocaml-mysql/commit/60eada32c875c8442c39fb51de533924c15f6e93

I'll apply this to the Rawhide package and hopefully it will fix things ...
Comment 3 Richard W.M. Jones 2017-07-05 07:37:28 EDT
Well it compiled:

https://koji.fedoraproject.org/koji/taskinfo?taskID=20339828

However as this was compiled against MariaDB 10.1.24, I'm guessing
you need to do something so I will leave this bug open.
Comment 4 Augusto Caringi 2017-07-10 04:51:02 EDT
(In reply to Richard W.M. Jones from comment #3)
> Well it compiled:
> 
> https://koji.fedoraproject.org/koji/taskinfo?taskID=20339828
> 
> However as this was compiled against MariaDB 10.1.24, I'm guessing
> you need to do something so I will leave this bug open.

I've tested the build against MariaDB 10.2 and it succeed:

https://copr.fedorainfracloud.org/coprs/g/db-sig/mariadb-10.2/build/577427/

Thanks!
Comment 5 Augusto Caringi 2017-07-20 07:43:03 EDT
I think that we can close this bug, right?
Comment 6 Richard W.M. Jones 2017-07-20 08:00:10 EDT
I think so.

Note You need to log in before you can comment on or make changes to this bug.